SIP Servlet

This feature enables support for SIP Servlets written to the Java SipServlet 1.1 specification. The servlets can be packaged in Java EE specified WAR, SAR or EAR files. If servlet security is required, an appSecurity feature should also be configured; in the absence of a security feature any security constraints for the application will be ignored.

Command Line Install

To install the feature from the command line, type:
bin/installUtility install sipServlet-1.1
If you are installing into 8.5.5.5 or earlier and the feature supports that version, use the featureManager command, for example:
bin/featureManager install sipServlet-1.1 --when-file-exists=ignore

Config Instructions

To use the feature at runtime add the following to your server.xml file
<featureManager>
  <feature>sipServlet-1.1</feature>
</featureManager>

Additional Information